Name:           glew
Version:        1.4.0
Release:        3%{?dist}
Summary:        The OpenGL Extension Wrangler Library
Group:          System Environment/Libraries
License:        BSD
URL:            http://glew.sourceforge.net
# This is http://downloads.sourceforge.net/glew/glew-%{version}-src.tgz
# With the following files removed because they are subject to the
# "SGI Free Software License B" resp "GLX Public License" :
# include/GL/glew.h include/GL/glxew.h auto/src/glew_head.h
# auto/src/glxew_head.h auto/src/sgi_license.h auto/src/glx_license.h
# doc/sgi.txt doc/glx.txt
Source0:        glew-%{version}-src-clean.tgz
# These are modified headers from Mesa, with all post GL[x] 1.1 defines and
# prototypes removed, these replace the removed encumbered auto/src/glew_head.h
# and auto/src/glxew_head.h files
Source1:        glew-mesa-replacement-headers.tgz
Source2:        LICENSE-README.fedora
Patch0:         glew-1.3.6-pathandstrip.patch
Patch1:         glew-1.4.0-auto-make.patch
Patch2:         glew-1.4.0-unused-direct-shlib-dependency.patch
Patch3:         glew-1.4.0-license-doc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libGLU-devel

%description
The OpenGL Extension Wrangler Library (GLEW) is a cross-platform C/C++
extension loading library. GLEW provides efficient run-time mechanisms for
determining which OpenGL extensions are supported on the target platform.
OpenGL core and extension functionality is exposed in a single header file.
GLEW is available for a variety of operating systems, including Windows, Linux,
Mac OS X, FreeBSD, Irix, and Solaris.


%package devel
Summary:        Development files for glew
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libGLU-devel

%description devel
Development files for glew


%prep
%setup -q -a 1 -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
cp %{SOURCE2} .
mkdir auto/registry
touch auto/registry/.dummy auto/extensions/.dummy
make -C auto ../include/GL/glew.h
make -C auto ../include/GL/glxew.h


%build
make %{?_smp_mflags} CFLAGS.EXTRA="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make install GLEW_DEST="$RPM_BUILD_ROOT" libdir=%{_libdir} bindir=%{_bindir} \
  includedir=%{_includedir}
rm $RPM_BUILD_ROOT%{_libdir}/libGLEW.a


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc LICENSE-README.fedora
%{_bindir}/*
%{_libdir}/libGLEW.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/*
%{_libdir}/libGLEW.so
%{_includedir}/GL/*.h


%changelog
* Sat Aug 18 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.4.0-3
- Fix multiple unused direct shlib dependencies in libGLEW.so
- Remove the "SGI Free Software License B" and "GLX Public License" tekst from
  the doc dir in the tarbal
- Patch credits.html to no longer refer to the 2 non free licenses, instead it
  now points to LICENSE-README.fedora
- Put API docs in -devel instead of main package

* Mon Aug  6 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.4.0-2
- Remove SGI encumbered files to make this ok to go into Fedora
- Replace some removed files with (modified) mesa files
- Regenerate some of the removed files using the mesa replacemenmt files
  and the scripts in the auto directory
- Readd wglew.h, some programs may need this to compile
- Update License tag for new Licensing Guidelines compliance

* Sun May 06 2007 Ian Chapman <packages@amiga-hardware.com> 1.4.0-1%{?dist}
- Updated to 1.4.0

* Sun Mar 04 2007 Ian Chapman <packages@amiga-hardware.com> 1.3.6-1%{?dist}
- Updated to 1.3.6
- Updated pathandstrip patch
- Dropped xlib patch - fixed upstream
- Dropped sed EOL replacements - fixed upstream
- Changed license to GPL

* Fri Dec 01 2006 Ian Chapman <packages@amiga-hardware.com> 1.3.5-1%{?dist}
- Updated to 1.3.5
- Fixed stripping of the binaries
- Reinstate parallel building, no longer appears broken
- Removed FC4 specifics from spec (no longer supported)

* Tue Jun 20 2006 Ian Chapman <packages@amiga-hardware.com> 1.3.4-3%{?dist}
- Added buildrequire macros to determine fc4, fc5, fc6 due to X modularisation

* Sun Jun 04 2006 Ian Chapman <packages@amiga-hardware.com> 1.3.4-2%{?dist}
- Replaced %%{_sed} macro with sed
- Replaced xorg-x11-devel (build)requires with libGLU-devel for compatibility
  with modular / non-modular X
- Replaced source URL to use primary sf site rather than a mirror
- Removed superfluous docs from devel package
- Removed wglew.h, seems to be only useful for windows platforms

* Thu May 11 2006 Ian Chapman <packages@amiga-hardware.com> 1.3.4-1.iss
- Initial Release
